using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class BounceOffObs : Obstacle {
	public int power = 15;

	//Knock back the player on collision
	void OnTriggerEnter(Collider col){
		if (col.tag == "Player") {
			col.GetComponent<Rigidbody> ().AddRelativeForce (-Vector3.forward * power, ForceMode.Impulse);
		}
	}

	//break behaviour, called when hit by back wave
	public override void Break(){}
}
